Observe
AGH Observe HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
List observability events
/api/observe/eventsQuery Parameters
Session id
Agent name
Event type
Only events emitted since this timestamp
date-timeMaximum number of records to return
int32Response Body
application/json
application/json
application/json
curl -X GET "https://loading/api/observe/events"{
"events": [
{
"agent_name": "string",
"id": "string",
"session_id": "string",
"summary": "string",
"timestamp": "2019-08-24T14:15:22Z",
"type": "string"
}
]
}{
"error": "string"
}{
"error": "string"
}Get daemon health and memory health
/api/observe/healthResponse Body
application/json
application/json
curl -X GET "https://loading/api/observe/health"{
"automation": {
"enabled": true,
"jobs": {
"enabled": 0,
"total": 0
},
"next_fire": "2019-08-24T14:15:22Z",
"scheduled_jobs": [
{
"catch_up_policy": "string",
"consecutive_resume_failures": 0,
"job_id": "string",
"last_fire_id": "string",
"last_misfire_at": "2019-08-24T14:15:22Z",
"last_run_at": "2019-08-24T14:15:22Z",
"last_scheduled_at": "2019-08-24T14:15:22Z",
"misfire_count": 0,
"misfire_grace_seconds": 0,
"next_run_at": "2019-08-24T14:15:22Z",
"registered": true,
"updated_at": "2019-08-24T14:15:22Z"
}
],
"scheduler_running": true,
"triggers": {
"enabled": 0,
"total": 0
}
},
"health": {
"active_agents": 0,
"active_sessions": 0,
"activities": [
{
"current_tool": "string",
"elapsed_seconds": 0,
"idle_seconds": 0,
"iteration_current": 0,
"iteration_max": 0,
"last_activity_at": "2019-08-24T14:15:22Z",
"last_activity_detail": "string",
"last_activity_kind": "string",
"last_progress_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"stall_reason": "string",
"stall_state": "string",
"status": "string",
"tool_call_id": "string",
"turn_id": "string",
"turn_source": "string",
"turn_started_at": "2019-08-24T14:15:22Z"
}
],
"agent_probes": [
{
"agent_name": "string",
"checked_at": "2019-08-24T14:15:22Z",
"command": "string",
"duration_ms": 0,
"error": "string",
"executable": "string",
"provider": "string",
"status": "string"
}
],
"bridges": {
"auth_failures_total": 0,
"delivery_backlog": 0,
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"route_count": 0,
"status_counts": {
"auth_required": 0,
"degraded": 0,
"disabled": 0,
"error": 0,
"ready": 0,
"starting": 0
},
"total_instances": 0
},
"failures": {
"by_kind": {
"property1": 0,
"property2": 0
},
"recent": [
{
"agent_name": "string",
"crash_bundle_path": "string",
"failure_kind": "string",
"provider": "string",
"session_id": "string",
"state": "string",
"summary": "string",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
],
"status": "string",
"total": 0
},
"global_db_size_bytes": 0,
"persistence": {
"global_db_size_bytes": 0,
"session_db_size_bytes": 0,
"status": "string"
},
"retention": {
"deleted_event_summaries": 0,
"deleted_permission_log_rows": 0,
"deleted_token_stats": 0,
"enabled": true,
"last_cutoff_at": "2019-08-24T14:15:22Z",
"last_sweep_at": "2019-08-24T14:15:22Z",
"last_sweep_error": "string",
"last_sweep_status": "string",
"retention_days": 0,
"sweep_interval_seconds": 0
},
"session_db_size_bytes": 0,
"status": "string",
"uptime_seconds": 0,
"version": "string"
},
"memory": {
"configured": true,
"dream_agent": "string",
"dream_check_interval": "string",
"dream_enabled": true,
"dream_min_hours": 0.1,
"dream_min_sessions": 0,
"enabled": true,
"global_dir": "string",
"global_files": 0,
"indexed_files": 0,
"last_consolidation": "2019-08-24T14:15:22Z",
"last_operation_at": "2019-08-24T14:15:22Z",
"last_reindex": "2019-08-24T14:15:22Z",
"operation_count": 0,
"orphaned_files": 0,
"reason": "string",
"status": "string",
"workspace_count": 0,
"workspace_files": 0
}
}{
"error": "string"
}Get the observer-backed task dashboard
/api/observe/tasks/dashboardQuery Parameters
Filter by task scope
"global" | "workspace"Filter by workspace path, name, or ID
Filter by owner kind
"human" | "agent_session" | "automation" | "extension" | "network_peer" | "pool"Filter by owner reference
Filter by network channel
Filter by task origin kind
"cli" | "web" | "uds" | "http" | "automation" | "extension" | "network" | "agent_session" | "daemon"Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/observe/tasks/dashboard"{
"dashboard": {
"active_runs": {
"claimed": 0,
"items": [
{
"age_ms": 0,
"attempt": 0,
"error": "string",
"health_status": "string",
"last_activity_at": "2019-08-24T14:15:22Z",
"max_attempts": 0,
"network_channel": "string",
"run_id": "string",
"run_status": "queued",
"scope": "global",
"session_id": "string",
"stuck": true,
"task_id": "string",
"task_identifier": "string",
"task_owner": {
"kind": "human",
"ref": "string"
},
"task_priority": "low",
"task_status": "draft",
"task_title": "string",
"workspace_id": "string"
}
],
"queued": 0,
"running": 0,
"starting": 0,
"total": 0
},
"cards": {
"blocked": {
"awaiting_approval": 0,
"awaiting_dependencies": 0,
"health_status": "string",
"tasks": 0
},
"failed": {
"failed_runs": 0,
"forced_stops": 0,
"health_status": "string",
"tasks": 0
},
"in_progress": {
"active_runs": 0,
"claimed_runs": 0,
"health_status": "string",
"queued_runs": 0,
"running_runs": 0,
"starting_runs": 0,
"tasks": 0
},
"latency": {
"claim_latency_ms": {
"average_ms": 0,
"maximum_ms": 0,
"samples": 0
},
"start_latency_ms": {
"average_ms": 0,
"maximum_ms": 0,
"samples": 0
}
}
},
"freshness": {
"age_ms": 0,
"has_live_work": true,
"latest_activity_at": "2019-08-24T14:15:22Z",
"observed_at": "2019-08-24T14:15:22Z",
"stale": true,
"stale_after_ms": 0,
"status": "string"
},
"health": {
"active_orphan_runs": 0,
"queue_backlog": true,
"status": "string",
"stuck_runs": 0
},
"queue": {
"backlog_status": "string",
"backlog_threshold_ms": 0,
"backlog_warning": true,
"depth": [
{
"count": 0,
"network_channel": "string",
"oldest_queue_age_ms": 0,
"oldest_queued_at": "2019-08-24T14:15:22Z"
}
],
"oldest_queue_age_ms": 0,
"oldest_queued_at": "2019-08-24T14:15:22Z",
"total": 0
},
"status_breakdown": [
{
"count": 0,
"share_percent": 0,
"status": "draft"
}
],
"totals": {
"active_runs": 0,
"awaiting_approval_tasks": 0,
"blocked_tasks": 0,
"canceled_runs": 0,
"canceled_tasks": 0,
"claimed_runs": 0,
"completed_runs": 0,
"completed_tasks": 0,
"dependency_blocked_tasks": 0,
"draft_tasks": 0,
"failed_runs": 0,
"failed_tasks": 0,
"in_progress_tasks": 0,
"pending_tasks": 0,
"queued_runs": 0,
"ready_tasks": 0,
"running_runs": 0,
"runs_total": 0,
"starting_runs": 0,
"tasks_total": 0
}
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Get the observer-backed task inbox
/api/observe/tasks/inboxQuery Parameters
Filter by task scope
"global" | "workspace"Filter by workspace path, name, or ID
Filter by owner kind
"human" | "agent_session" | "automation" | "extension" | "network_peer" | "pool"Filter by owner reference
Filter by inbox lane
"my_work" | "approvals" | "failed_runs" | "blocked" | "archived"Return only unread inbox items
Filter by task title or identifier
Maximum number of inbox items to return
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/observe/tasks/inbox"{
"inbox": {
"archived_total": 0,
"groups": [
{
"count": 0,
"items": [
{
"approval_policy": "none",
"approval_state": "not_required",
"blocking_reason": "string",
"lane": "my_work",
"latest_activity_at": "2019-08-24T14:15:22Z",
"run": {
"attempt": 0,
"claim_token_hash": "string",
"claimed_at": "2019-08-24T14:15:22Z",
"claimed_by": {
"kind": "human",
"ref": "string"
},
"coordination_channel": {
"allowed_message_kinds": [
"status"
],
"channel": "string",
"display_name": "string",
"id": "string",
"last_activity_at": "2019-08-24T14:15:22Z",
"purpose": "string",
"run_id": "string",
"task_id": "string",
"workflow_id": "string",
"workspace_id": "string"
},
"coordination_channel_id": "string",
"ended_at": "2019-08-24T14:15:22Z",
"error": "string",
"heartbeat_at": "2019-08-24T14:15:22Z",
"id": "string",
"lease_until": "2019-08-24T14:15:22Z",
"max_attempts": 0,
"queued_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"started_at": "2019-08-24T14:15:22Z",
"status": "queued",
"task_id": "string"
},
"task": {
"id": "string",
"identifier": "string",
"owner": {
"kind": "human",
"ref": "string"
},
"priority": "low",
"scope": "global",
"status": "draft",
"title": "string",
"workspace_id": "string"
},
"triage": {
"actor": {
"kind": "human",
"ref": "string"
},
"archived": true,
"dismissed": true,
"last_seen_activity_at": "2019-08-24T14:15:22Z",
"read": true,
"task_id": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
}
],
"lane": "my_work",
"unread_count": 0
}
],
"total": 0,
"unread_total": 0
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}